#include <stdio.h>
#include <stdlib.h>
#include <windef.h>

#include "ni488.h"

int main(int argc, char *argv[])
{
	int  dev;
	int  primaryAddress;
	char answer[255];

	if (argc != 3) {

		printf("Usage: %s <DeviceGpibAddress> <Command>\n\n", argv[0]);
		printf("Example: %s 17 \"*IDN?\"\n", argv[0]);

		return 1;
	}

	primaryAddress = atoi(argv[1]); // get primary address of device
	dev = ibdev(0, primaryAddress, 0, T100ms, 0, 0); // connect to GPIB controller

	ibwrt(dev, argv[2], strlen(argv[2])); // talk to the GPIB device
	ibrd(dev, answer, sizeof(answer)); // listen to answer from device

	ibonl(dev, 0); // disconnect from GPIB controller

	printf("%s\n", answer);
	return 0;
}
