#include <string.h>
#include <stdio.h>

#include "serial.h"

int main(int argc, char *argv[])
{
	char answer[256] = { 0 };

	if (argc != 3) {

		printf("Usage: %s <ComPortNumber> <Command>\n\n", argv[0]);
		printf("Example: %s 1 \"*IDN?\"\n", argv[0]);

		return 1;
	}

	// Open the COM port
	int portNum = atoi(argv[1]);
	openComPort(portNum);

	// Send command to device and read back answer
	writeCommandAndReadAnswer(argv[2], answer);

	// Close the COM port
	closeComPort();

	// Print answer to stdout
	printf("%s\n", answer);

	return 0;
}
//---------------------------------------------------------------------------
